"use strict";
/*!
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Span_1 = tslib_1.__importDefault(require("../../trace/span/Span"));
var AgentConfig_1 = tslib_1.__importDefault(require("../../config/AgentConfig"));
var Tracing_pb_1 = require("../../proto/language-agent/Tracing_pb");
var ContextCarrier_1 = require("../context/ContextCarrier");
var ExitSpan = /** @class */ (function (_super) {
    tslib_1.__extends(ExitSpan, _super);
    function ExitSpan(options) {
        return _super.call(this, Object.assign(options, {
            type: Tracing_pb_1.SpanType.EXIT,
        })) || this;
    }
    ExitSpan.prototype.inject = function () {
        return new ContextCarrier_1.ContextCarrier(this.context.segment.relatedTraces[0], this.context.segment.segmentId, this.id, AgentConfig_1.default.serviceName, AgentConfig_1.default.serviceInstance, this.operation, this.peer, []);
    };
    return ExitSpan;
}(Span_1.default));
exports.default = ExitSpan;
//# sourceMappingURL=ExitSpan.js.map